/* -*- c++ -*-
   $Id: kawari8bridge.cpp,v 1.1.1.1 2004/02/13 06:45:11 admin Exp $
*/
#include "kawari_Kawari8.h"
#include <shioribox_controller_jni.h>

JNIEXPORT jint JNICALL Java_kawari_Kawari8_construct (
    JNIEnv *env, jobject jthis,
    jstring shioribox_path,
    jstring shiori_name,
    jstring shiori_module,
    jobject additional_env,
    jstring ghost_path) {
    return shioribox::ctrl::controller_jni::open(
	env, shioribox_path, shiori_name, shiori_module, additional_env, ghost_path);
}

JNIEXPORT void JNICALL Java_kawari_Kawari8_destruct(
    JNIEnv *env, jobject jthis, jint context_id) {
    shioribox::ctrl::controller_jni::close(env, context_id);
}

JNIEXPORT jbyteArray JNICALL Java_kawari_Kawari8_request(
    JNIEnv *env, jobject jthis, jint context_id, jbyteArray req) {
    return shioribox::ctrl::controller_jni::request(env, context_id, req);
}
